# Theory

Below are papers and notes that explain the theory behind this package.

## [The equations of Multiple Scattering](multiplescattering.pdf)

These short notes introduce the T-matrix, which defines how a particle scatters waves, and shows how it used in multiple scattering from many particles.

## [Multiple Scattering in the context of acoustics](acoustics.pdf)

These notes present the T-matrix construction in the context of acoustics, giving insight into the previous notes. 

## [Discrete Fourier Transform](DiscreteFourier.pdf)

These notes give details on Green’s functions and Fourier transforms. We mostly
focus on using discrete impulse functions.

## [T-matrix Software](a9-ganesh.pdf)

This paper describes a method to calculate the T-matrix for new particles.
